<?php
require("connection.php");
function getUserIpAddr(){
    if(!empty($_SERVER['HTTP_CLIENT_IP'])){
        $ip = $_SERVER['HTTP_CLIENT_IP'];
    }elseif(!empty($_SERVER['HTTP_X_FORWARDED_FOR'])){
        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
    }else{
        $ip = $_SERVER['REMOTE_ADDR'];
    }
    return $ip;
}
?>
<body>
<form method="POST">
<input type="text" name="url" placeholder="Paste link">
<br>
<input type="text" name="tags" placeholder="Enter tags. Seperate by space">
<br>
<input type="hidden" name="ip" value="<?php echo getUserIpAddr(); ?>">
<input type="submit">
</form>
<?php
if ($_SERVER['REQUEST_METHOD'] == "POST") {
	if (!filter_var($_POST['url'], FILTER_VALIDATE_URL)) {
		echo "url invalid";
		exit;
	}
	$sql = $con->prepare("INSERT INTO `links` (date, tags, url, ip) VALUES(?, ?, ?, ?);");
	$time = time();
	$sql->bind_param("ssss", $time, $_POST['tags'], $_POST['url'], $_POST['ip']);
	$sql->execute();
	header("Location: view.php");
}
